## fdk-aac-free 2.0.2

=== CMakeLists.txt ===
# # CMake project for fdk-aac
#
# ## Basic usage
#
# 1. Download and install CMake >= 3.10 (CMake >= 3.15 is recommended)
# 2. Clone fdk-aac repository
# 3. In fdk-aac directory create and go to `build` subdirectory:
#
#    mkdir build
#    cd build
#
# 4. Run cmake to configure project with desired build type (Release|Debug):
#
#    cmake .. -DCMAKE_BUILD_TYPE=Release
#
#    Note CMake configuration without CMAKE_BUILD_TYPE option will not set build
#    type to some default and it is most likely is not what you want.
#
#    If you want to build static (default is shared library), add BUILD_SHARED_LIBS=OFF option:
#
#    #    cmake .. -DBUILD_SHARED_LIBS=OFF
#
#    You can combine options as well:
#
#    cmake .. -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=OFF
#
# 5. Run cmake to build project:
#
#    cmake --build . -c Release

cmake_minimum_required(VERSION 3.5.1)

# Policies

## Enables CMAKE_MSVC_RUNTIME_LIBRARY option support for CMake >= 3.15
## if you want to use a MSVC multi-threaded statically-linked runtime library
## If you enable it, CMake will build fdk-acc.dll without external dependencies.
##
## Example usage:
##
## cmake .. -DCMAKE_MSVC_RUNTIME_LIBRARY="MultiThreaded$<$<CONFIG:Debug>:Debug>
if(POLICY CMP0091)
  cmake_policy(SET CMP0091 NEW)
endif()

project(fdk-aac VERSION 2.0.2)

# Includes

include(CheckFunctionExists)
include(CheckLibraryExists)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

if(CMAKE_VERSION VERSION_LESS 3.11)
  set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
  set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
  set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
endif()
include(CPack)

# Options

option(BUILD_SHARED_LIBS "Build shared library" ON)
option(BUILD_PROGRAMS "Build aac-enc utility" OFF)
option(FDK_AAC_INSTALL_CMAKE_CONFIG_MODULE "Install CMake package configuration file" ON)
option(FDK_AAC_INSTALL_PKGCONFIG_MODULE "Install pkg-config .pc file" ON)

# Checks

## Check if math functions are in separate library (Most of Linux distros, maybe some other OSes)
check_function_exists(sin HAVE_DEFAULT_MATH)
if(NOT HAVE_DEFAULT_MATH)
  check_library_exists(m sin "" HAVE_LIBM)
endif()

# Library

## Sources

set(AACDEC_SRC
  libAACdec/src/FDK_delay.cpp
  libAACdec/src/aac_ram.cpp
  libAACdec/src/aac_rom.cpp
  libAACdec/src/aacdec_drc.cpp
  libAACdec/src/aacdec_pns.cpp
  libAACdec/src/aacdec_tns.cpp
  libAACdec/src/aacdecoder.cpp
  libAACdec/src/aacdecoder_lib.cpp
  libAACdec/src/block.cpp
  libAACdec/src/channel.cpp
  libAACdec/src/channelinfo.cpp
  libAACdec/src/ldfiltbank.cpp
  libAACdec/src/pulsedata.cpp
  libAACdec/src/stereo.cpp
  libAACdec/src/aac_ram.h
  libAACdec/src/aac_rom.h
  libAACdec/src/aacdec_drc.h
  libAACdec/src/aacdec_drc_types.h
  libAACdec/src/aacdec_pns.h
  libAACdec/src/aacdec_tns.h
  libAACdec/src/aacdecoder.h
  libAACdec/src/block.h
  libAACdec/src/channel.h
  libAACdec/src/channelinfo.h
  libAACdec/src/FDK_delay.h
  libAACdec/src/ldfiltbank.h
  libAACdec/src/overlapadd.h
  libAACdec/src/pulsedata.h
  libAACdec/src/stereo.h
)

set(AACENC_SRC
  libAACenc/src/aacEnc_ram.cpp
  libAACenc/src/aacEnc_rom.cpp
  libAACenc/src/aacenc.cpp
  libAACenc/src/aacenc_lib.cpp
  libAACenc/src/aacenc_pns.cpp
  libAACenc/src/aacenc_tns.cpp
  libAACenc/src/adj_thr.cpp
  libAACenc/src/band_nrg.cpp
  libAACenc/src/bandwidth.cpp
  libAACenc/src/bit_cnt.cpp
  libAACenc/src/bitenc.cpp
  libAACenc/src/block_switch.cpp
  libAACenc/src/channel_map.cpp
  libAACenc/src/chaosmeasure.cpp
  libAACenc/src/dyn_bits.cpp
  libAACenc/src/grp_data.cpp
  libAACenc/src/intensity.cpp
  libAACenc/src/line_pe.cpp
  libAACenc/src/metadata_compressor.cpp
  libAACenc/src/metadata_main.cpp
  libAACenc/src/ms_stereo.cpp
  libAACenc/src/noisedet.cpp
  libAACenc/src/pnsparam.cpp
  libAACenc/src/pre_echo_control.cpp
  libAACenc/src/psy_configuration.cpp
  libAACenc/src/psy_main.cpp
  libAACenc/src/qc_main.cpp
  libAACenc/src/quantize.cpp
  libAACenc/src/sf_estim.cpp
  libAACenc/src/spreading.cpp
  libAACenc/src/tonality.cpp
  libAACenc/src/transform.cpp
  libAACenc/src/aacenc.h
  libAACenc/src/aacenc_pns.h
  libAACenc/src/aacEnc_ram.h
  libAACenc/src/aacEnc_rom.h
  libAACenc/src/aacenc_tns.h
  libAACenc/src/adj_thr.h
  libAACenc/src/adj_thr_data.h
  libAACenc/src/band_nrg.h
  libAACenc/src/bandwidth.h
  libAACenc/src/bit_cnt.h
  libAACenc/src/bitenc.h
  libAACenc/src/block_switch.h
  libAACenc/src/channel_map.h
  libAACenc/src/chaosmeasure.h
  libAACenc/src/dyn_bits.h
  libAACenc/src/grp_data.h
  libAACenc/src/intensity.h
  libAACenc/src/interface.h
  libAACenc/src/line_pe.h
  libAACenc/src/metadata_compressor.h
  libAACenc/src/metadata_main.h
  libAACenc/src/ms_stereo.h
  libAACenc/src/noisedet.h
  libAACenc/src/pns_func.h
  libAACenc/src/pnsparam.h
  libAACenc/src/pre_echo_control.h
  libAACenc/src/psy_configuration.h
  libAACenc/src/psy_const.h
  libAACenc/src/psy_data.h
  libAACenc/src/psy_main.h
  libAACenc/src/qc_data.h
  libAACenc/src/qc_main.h
  libAACenc/src/quantize.h
  libAACenc/src/sf_estim.h
  libAACenc/src/spreading.h
  libAACenc/src/tns_func.h
  libAACenc/src/tonality.h
  libAACenc/src/transform.h)

set(ARITHCODING_SRC
  libArithCoding/src/ac_arith_coder.cpp)

set(DRCDEC_SRC
  libDRCdec/src/FDK_drcDecLib.cpp
  libDRCdec/src/drcDec_gainDecoder.cpp
  libDRCdec/src/drcDec_reader.cpp
  libDRCdec/src/drcDec_rom.cpp
  libDRCdec/src/drcDec_selectionProcess.cpp
  libDRCdec/src/drcDec_tools.cpp
  libDRCdec/src/drcGainDec_init.cpp
  libDRCdec/src/drcGainDec_preprocess.cpp
  libDRCdec/src/drcGainDec_process.cpp
  libDRCdec/src/drcDec_gainDecoder.h
  libDRCdec/src/drcDec_reader.h
  libDRCdec/src/drcDec_rom.h
  libDRCdec/src/drcDec_selectionProcess.h
  libDRCdec/src/drcDec_tools.h
  libDRCdec/src/drcDec_types.h
  libDRCdec/src/drcDecoder.h
  libDRCdec/src/drcGainDec_init.h
  libDRCdec/src/drcGainDec_preprocess.h
  libDRCdec/src/drcGainDec_process.h)

set(FDK_SRC
  libFDK/src/FDK_bitbuffer.cpp
  libFDK/src/FDK_core.cpp
  libFDK/src/FDK_crc.cpp
  libFDK/src/FDK_decorrelate.cpp
  libFDK/src/FDK_hybrid.cpp
  libFDK/src/FDK_lpc.cpp
  libFDK/src/FDK_matrixCalloc.cpp
  libFDK/src/FDK_qmf_domain.cpp
  libFDK/src/FDK_tools_rom.cpp
  libFDK/src/FDK_trigFcts.cpp
  libFDK/src/autocorr2nd.cpp
  libFDK/src/dct.cpp
  libFDK/src/fft.cpp
  libFDK/src/fft_rad2.cpp
  libFDK/src/fixpoint_math.cpp
  libFDK/src/huff_nodes.cpp
  libFDK/src/mdct.cpp
  libFDK/src/nlc_dec.cpp
  libFDK/src/qmf.cpp
  libFDK/src/scale.cpp)

set(MPEGTPDEC_SRC
  libMpegTPDec/src/tpdec_adif.cpp
  libMpegTPDec/src/tpdec_adts.cpp
  libMpegTPDec/src/tpdec_asc.cpp
  libMpegTPDec/src/tpdec_drm.cpp
  libMpegTPDec/src/tpdec_latm.cpp
  libMpegTPDec/src/tpdec_lib.cpp
  libMpegTPDec/src/tp_version.h
  libMpegTPDec/src/tpdec_adif.h
  libMpegTPDec/src/tpdec_adts.h
  libMpegTPDec/src/tpdec_drm.h
  libMpegTPDec/src/tpdec_latm.h)

set(MPEGTPENC_SRC
  libMpegTPEnc/src/tpenc_adif.cpp
  libMpegTPEnc/src/tpenc_adts.cpp
  libMpegTPEnc/src/tpenc_asc.cpp
  libMpegTPEnc/src/tpenc_latm.cpp
  libMpegTPEnc/src/tpenc_lib.cpp
  libMpegTPEnc/src/tp_version.h
  libMpegTPEnc/src/tpenc_adif.h
  libMpegTPEnc/src/tpenc_adts.h
  libMpegTPEnc/src/tpenc_asc.h
  libMpegTPEnc/src/tpenc_latm.h)

set(PCMUTILS_SRC
  libPCMutils/src/limiter.cpp
  libPCMutils/src/pcm_utils.cpp
  libPCMutils/src/pcmdmx_lib.cpp
  libPCMutils/src/version.h)

set(SYS_SRC
  libSYS/src/genericStds.cpp
  libSYS/src/syslib_channelMapDescr.cpp)

set(fdk_aacinclude_HEADERS
  libSYS/include/machine_type.h
  libSYS/include/genericStds.h
  libSYS/include/FDK_audio.h
  libSYS/include/syslib_channelMapDescr.h
  libAACenc/include/aacenc_lib.h
  libAACdec/include/aacdecoder_lib.h)

set(libfdk_aac_SOURCES
    ${AACDEC_SRC} ${AACENC_SRC}
    ${ARITHCODING_SRC}
    ${DRCDEC_SRC}
    ${MPEGTPDEC_SRC} ${MPEGTPENC_SRC}
    ${PCMUTILS_SRC} ${FDK_SRC} ${SYS_SRC})

if(WIN32 AND BUILD_SHARED_LIBS)
  set(libfdk_aac_SOURCES ${libfdk_aac_SOURCES} fdk-aac.def)
endif()

## Create Library target. Actually fdk-aac is enough, but we also create
## FDK-AAC::fdk-aac for consistence with config-file package.

add_library(fdk-aac ${libfdk_aac_SOURCES})
add_library(FDK-AAC::fdk-aac ALIAS fdk-aac)

## Library target configuration

### Library target includes
target_include_directories(fdk-aac
  PUBLIC
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/libAACdec/include>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/libAACenc/include>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/libSYS/include>
  PRIVATE
    libArithCoding/include
    libDRCdec/include
    libSACdec/include
    libSACenc/include
    libSBRdec/include
    libSBRenc/include
    libMpegTPDec/include
    libMpegTPEnc/include
    libFDK/include
    libPCMutils/include)

### Link math library if required
target_link_libraries(fdk-aac PRIVATE $<$<BOOL:${HAVE_LIBM}>:m>)

### Set public headers and shared library version. Version info is critical for Unix-like OSes.
set_target_properties(fdk-aac PROPERTIES
  PUBLIC_HEADER "${fdk_aacinclude_HEADERS}"
  VERSION 2.0.2
  SOVERSION 2
  MACHO_COMPATIBILITY_VERSION 3.0.0
  MACHO_CURRENT_VERSION 3.2.0)

### Some compiler options from Makefile.am
if(MSVC)
  target_compile_options(fdk-aac PRIVATE /EHsc)
else()
  target_compile_options(fdk-aac PRIVATE -fno-exceptions -fno-rtti)
endif()

### Set proper name for MinGW or Cygwin DLL

if((MINGW OR CYGWIN) AND BUILD_SHARED_LIBS)
  set_property(TARGET fdk-aac PROPERTY RUNTIME_OUTPUT_NAME fdk-aac-2)
endif()

## Library installation

### Note we export `fdk-aac-targets` to use with config-file package.
install(TARGETS fdk-aac EXPORT fdk-aac-targets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT BIN
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT DEV
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT DEV
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/fdk-aac COMPONENT DEV)

### Configure and install pkg-config module.
if(FDK_AAC_INSTALL_PKGCONFIG_MODULE)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{exec_prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  if(HAVE_LIBM)
    if(BUILD_SHARED_LIBS)
      set(LIBS_PRIVATE "-lm")
    else()
      set(LIBS_PUBLIC "-lm")
    endif()
  endif()
  configure_file(fdk-aac.pc.in fdk-aac.pc @ONLY)
  install(
    FILES
      ${CMAKE_CURRENT_BINARY_DIR}/fdk-aac.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

### Configure and install config-file package. Something like pkg-config module, but for Windows.
if(FDK_AAC_INSTALL_CMAKE_CONFIG_MODULE)

  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/fdk-aac)

  configure_package_config_file(fdk-aac-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/fdk-aac-config.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})

  if(CMAKE_VERSION VERSION_LESS 3.11)
    write_basic_package_version_file(fdk-aac-config-version.cmake COMPATIBILITY SameMajorVersion)
  else()
    write_basic_package_version_file(fdk-aac-config-version.cmake COMPATIBILITY SameMinorVersion)
  endif()

  install(EXPORT fdk-aac-targets
    NAMESPACE FDK-AAC::
    DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(
    FILES
      ${CMAKE_CURRENT_BINARY_DIR}/fdk-aac-config.cmake
      ${CMAKE_CURRENT_BINARY_DIR}/fdk-aac-config-version.cmake
    DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})

endif()

# Programs

if(BUILD_PROGRAMS)

  ## Program sources

  set(aac_enc_SOURCES
    aac-enc.c
    wavreader.c
    wavreader.h)

  ## Program target
  add_executable(aac-enc ${aac_enc_SOURCES})

  ## Program target configuration
  target_link_libraries(aac-enc PRIVATE fdk-aac)
  target_compile_definitions(aac-enc PRIVATE $<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>)
  if(WIN32)
    target_sources(aac-enc PRIVATE win32/getopt.h)
    target_include_directories(aac-enc PRIVATE win32)
  endif()

  ## Program target installation

=== debian/changelog ===
fdk-aac-free (2.0.2-3~ubuntu4) noble; urgency=medium

  * autopkgtest: Don't try comparing hashes since they aren't consistent
    among architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Feb 2024 08:13:42 -0500

fdk-aac-free (2.0.2-3~ubuntu3) noble; urgency=medium

  * Cherry-pick 2 patches to add some basic regression tests
  * Add patch to skip testing the HE profiles since they are not included here
  * Add autopkgtest to run the regression test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Feb 2024 23:26:59 -0500

fdk-aac-free (2.0.2-3~ubuntu2) noble; urgency=medium

  * Clean up minor Lintian warnings
  * Drop unused sparc defines from add_more_arch patch and forward upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 08:57:54 -0500

fdk-aac-free (2.0.2-3~ubuntu1) mantic; urgency=medium

  * Upload directly to Ubuntu since the Debian NEW processing is slow.
    See Ubuntu bug 1977614 & Debian 981285 for more background

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 09:20:45 -0400

fdk-aac-free (2.0.2-3) UNRELEASED; urgency=medium

  * Team upload
  * Package Fedora's stripped version of fdk-aac using the same source
    package name Fedora uses. This avoids various concerns with the unstripped
    version. The stripped version should be sufficient for Debian's needs and
    this allows this library to be accepted into main instead of non-free.
    (Closes: #981285)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Jul 2023 15:50:48 -0400

fdk-aac (2.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Sep 2021 00:20:49 +0200

fdk-aac (2.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Fabian Greffrath ]
  * New upstream version 2.0.1 (Closes: #915386).
  * Bump SONAME to libfdk-aac2.
  * Refresh patches.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.5.0
  * Install the static library archive in the libfdk-aac-dev package
    (Closes: #865710).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 18 Mar 2020 20:53:14 +0100

fdk-aac (0.1.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Sebastian Ramacher ]
  * New upstream release.
  * debhelper/: Bump debhelper compat level to 11.
  * debian/control:
    - Bump Standards-Version.
    - Remove old Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 13:47:37 +0200

fdk-aac (0.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Removed patches obsoleted by new upstream release.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 12:10:55 +0200

fdk-aac (0.1.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Sep 2016 20:18:29 +0200

fdk-aac (0.1.4-1) experimental; urgency=medium

  [ Alessio Treglia ]
  * New upstream release. (Closes: #784908)
  * debian/patches:
    - Refresh add_more_arch.
    - Drop missing_ppc_files. (Closes: #771924)

  [ Sebastian Ramacher ]
  * debian/patches/gcc6_c++98: Upstream patch to fix FTBFS with GCC 6 (Closes:
    #836933)
  * Bump SONAME: libfdk-aac0 -> libfdk-aac1.
  * debian/{control,rules}: Switch to automatic dbgsym packages.
  * debian/control: Bump Standards-Version.

  [ Daniel Knezevic ]
  * debian/rules: Remove -march=mips32r2 on mips* platforms. (Closes: #838364)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Sep 2016 17:18:45 +0200

fdk-aac (0.1.3+20140816-2) unstable; urgency=medium

  * Fix FTBFS for real this time:
  * Added missing powerpc ASM files.
  * Add missing #defines for sparc and s390x.
  * Add correct CPPFLAGS for mips.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 17 Aug 2014 09:37:14 -0500

fdk-aac (0.1.3+20140816-1) unstable; urgency=medium

  * Update to latest upstream.
  * Fix FTBFS on mips, sparc and s390x.
  * Bump standards version to 3.9.5

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2014 19:42:04 -0500

fdk-aac (0.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Jul 2014 11:18:31 +0100

fdk-aac (0.1.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Add watch file. Thanks to Bart Martens for the great work.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Oct 2013 23:52:35 +0100

fdk-aac (0.1.1+20130514-3) unstable; urgency=low

  * Team upload.
  * Include PDF documentation (Closes: #721532)

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Sep 2013 09:38:37 +0100

fdk-aac (0.1.1+20130514-2) unstable; urgency=low

  * Explain autobuild.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Jun 2013 19:06:07 -0500

fdk-aac (0.1.1+20130514-1) unstable; urgency=low

  * Initial upload.
  Closes: #694257

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 06:13:57 -0500

=== debian/control ===
Source: fdk-aac-free
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>
Homepage: https://gitlab.freedesktop.org/wtaymans/fdk-aac-stripped
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
Rules-Requires-Root: no

Package: libfdk-aac2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Fraunhofer FDK AAC Codec Library - runtime files
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the files needed to run a program compiled using
 The Fraunhofer FDK AAC Codec Library.

Package: libfdk-aac-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libfdk-aac2 (= ${binary:Version}),
 ${misc:Depends}
Description: Fraunhofer FDK AAC Codec Library - development files
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the files needed to compile and statically link
 against the Fraunhofer FDK AAC Codec Library.

Package: aac-enc
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends}
Section: sound
Description: Fraunhofer FDK AAC Codec Library - frontend binary
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains a frontend binary capable of encoding WAVE files
 using the Fraunhofer FDK AAC Codec Library.

=== debian/tests/control ===
Tests: upstream
Restrictions: allow-stderr needs-internet superficial
Depends: aac-enc, build-essential, debhelper, ca-certificates, curl, ffmpeg

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/wtaymans/fdk-aac-stripped/-/tags?sort=version_desc \
 .*/fdk-aac-stripped-v?(2.[\d.]+)@ARCHIVE_EXT@
